#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './algo_base.ui'
**
** Created: dim sep 12 16:30:23 2004
**      by: The User Interface Compiler ()
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "algo_base.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qtextedit.h>
#include <qcombobox.h>
#include <qslider.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a algo_base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
algo_base::algo_base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "algo_base" );
    algo_baseLayout = new QGridLayout( this, 1, 1, 11, 6, "algo_baseLayout"); 

    textLabel1 = new QLabel( this, "textLabel1" );

    algo_baseLayout->addWidget( textLabel1, 0, 0 );

    algodescr = new QTextEdit( this, "algodescr" );
    algodescr->setEnabled( TRUE );
    algodescr->setFocusPolicy( QTextEdit::NoFocus );
    algodescr->setReadOnly( TRUE );

    algo_baseLayout->addMultiCellWidget( algodescr, 1, 1, 1, 2 );

    algoname = new QComboBox( FALSE, this, "algoname" );

    algo_baseLayout->addMultiCellWidget( algoname, 0, 0, 1, 2 );

    mutation = new QSlider( this, "mutation" );
    mutation->setOrientation( QSlider::Horizontal );

    algo_baseLayout->addMultiCellWidget( mutation, 2, 2, 1, 2 );

    crossover = new QSlider( this, "crossover" );
    crossover->setOrientation( QSlider::Horizontal );

    algo_baseLayout->addMultiCellWidget( crossover, 3, 3, 1, 2 );

    textLabel1_2 = new QLabel( this, "textLabel1_2" );

    algo_baseLayout->addWidget( textLabel1_2, 1, 0 );

    textLabel1_2_3 = new QLabel( this, "textLabel1_2_3" );

    algo_baseLayout->addWidget( textLabel1_2_3, 3, 0 );

    textLabel1_2_4 = new QLabel( this, "textLabel1_2_4" );

    algo_baseLayout->addWidget( textLabel1_2_4, 2, 0 );

    textLabel1_2_2 = new QLabel( this, "textLabel1_2_2" );

    algo_baseLayout->addWidget( textLabel1_2_2, 4, 0 );

    iterations = new QSpinBox( this, "iterations" );
    iterations->setMinimumSize( QSize( 100, 0 ) );
    iterations->setButtonSymbols( QSpinBox::UpDownArrows );
    iterations->setMaxValue( 1000000000 );
    iterations->setMinValue( 1 );

    algo_baseLayout->addWidget( iterations, 4, 1 );

    textLabel1_2_5 = new QLabel( this, "textLabel1_2_5" );

    algo_baseLayout->addWidget( textLabel1_2_5, 5, 0 );

    textLabel1_2_6 = new QLabel( this, "textLabel1_2_6" );

    algo_baseLayout->addWidget( textLabel1_2_6, 6, 0 );

    maxtime = new QSpinBox( this, "maxtime" );
    maxtime->setMaxValue( 1000000000 );

    algo_baseLayout->addWidget( maxtime, 5, 1 );

    population = new QSpinBox( this, "population" );
    population->setMaxValue( 1000000000 );
    population->setValue( 100 );

    algo_baseLayout->addWidget( population, 6, 1 );
    spacer1 = new QSpacerItem( 161, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    algo_baseLayout->addItem( spacer1, 4, 2 );
    spacer3 = new QSpacerItem( 161, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    algo_baseLayout->addItem( spacer3, 6, 2 );
    spacer2 = new QSpacerItem( 160, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    algo_baseLayout->addItem( spacer2, 5, 2 );
    languageChange();
    resize( QSize(392, 379).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( algoname, algodescr );
    setTabOrder( algodescr, mutation );
    setTabOrder( mutation, crossover );
    setTabOrder( crossover, iterations );
    setTabOrder( iterations, maxtime );
    setTabOrder( maxtime, population );
}

/*
 *  Destroys the object and frees any allocated resources
 */
algo_base::~algo_base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void algo_base::languageChange()
{
    setCaption( tr2i18n( "Form1" ) );
    textLabel1->setText( tr2i18n( "Algorithm :" ) );
    textLabel1_2->setText( tr2i18n( "Description :" ) );
    textLabel1_2_3->setText( tr2i18n( "Crossovers :" ) );
    textLabel1_2_4->setText( tr2i18n( "Mutations :" ) );
    textLabel1_2_2->setText( tr2i18n( "Iterations :" ) );
    textLabel1_2_5->setText( tr2i18n( "Time Limit :" ) );
    textLabel1_2_6->setText( tr2i18n( "Population :" ) );
}

#include "algo_base.moc"
